#ifndef COSOCO_MAXIMUMVARIABLEGE_H
#define COSOCO_MAXIMUMVARIABLEGE_H

#include "MaximumVariable.h"

namespace Cosoco {
    class MaximumVariableGE : public MaximumVariable {

        MaximumVariableGE(Problem &p,std::string n,vec<Variable*> &vars,Variable *v) : MaximumVariable(p,n,vars,v) {}


        // Filtering method, return false if a conflict occurs
        virtual bool filter(Variable *x) override;

        // Checking
        virtual bool isSatisfiedBy(vec<int>& tuple) override;

    };
}


#endif //COSOCO_MAXIMUMVARIABLEGE_H
