#ifndef DIFFXY_H
#define	DIFFXY_H

#include "Binary.h"

namespace Cosoco  {
    
    class DiffXY : public Binary {
    public : 
        // Constructors
        DiffXY(Problem &p,std::string n,Variable *xx,Variable *yy);
        
        // filtering
        bool filter(Variable *x) override;
        
        //checking
        virtual bool isSatisfiedBy(vec<int>& tuple) override;

    };
}


#endif	/* DIFFXY_H */

