#ifndef COSOCO_DISJUNCTIVE_H
#define COSOCO_DISJUNCTIVE_H

#include "constraints/Binary.h"


namespace Cosoco {
    class Disjunctive : public Binary {
    protected :
        int lx, ly;
        bool filterDomain(Variable *x, int lb, int ub);
    public :
        Disjunctive(Problem &p, std::string n, Variable *xx, Variable *yy, int ll1, int ll2);

        // filtering
        bool filter(Variable *x) override;

        //checking
        bool isSatisfiedBy(vec<int> &tuple) override;
    };
}

#endif //COSOCO_DISJUNCTIVE_H
