#ifndef MAXIMUMCONSTANTLE_H
#define	MAXIMUMCONSTANTLE_H

#include "MaximumConstant.h"
#include "mtl/Vec.h"
namespace Cosoco {
    class MaximumConstantLE : public MaximumConstant {
        bool done; // TODO transform and use entail...
    public :
        MaximumConstantLE(Problem &p,std::string n,vec<Variable*> &vars,int kk):MaximumConstant(p,n,vars,kk), done(false) {}

        virtual State status() override;

        virtual void reinitialize() override;

        virtual bool filter(Variable *dummy) override;
        virtual bool isSatisfiedBy(vec<int>& tuple) override;

    };
}


#endif	/* MAXIMUMCONSTANTLE_H */

