#ifndef EQ_H
#define	EQ_H

#include "constraints/Binary.h"

namespace Cosoco  {

    
    class EQ : public Binary {
    protected :
        int lastx,lasty; // Avoid useless traversal
    public : 
        // Constructors
        
        EQ(Problem &p,std::string n,Variable *xx,Variable *yy);

        // filtering
        bool filter(Variable *x) override;
        
        //checking
        bool isSatisfiedBy(vec<int>& tuple) override;

    };
}


#endif	/* EQ_H */

