#include "solver/heuristics/values/HeuristicValFirst.h"
#include "solver/Solver.h"

using namespace Cosoco;

HeuristicValFirst::HeuristicValFirst(Solver &s) : HeuristicVal(s) {}
        
        
int HeuristicValFirst::select(Variable *x) {
    int tmp = x->domain[0]; // We can use domain.minimum()
    for(int idv = 0;idv<x->size();idv++)
        if(tmp>x->domain[idv])
            tmp=x->domain[idv];
    
    return tmp;
}
        
