#include "solver/heuristics/values/HeuristicValLast.h"
#include "solver/Solver.h"

using namespace Cosoco;


HeuristicValLast::HeuristicValLast(Solver &s) : HeuristicVal(s) { }


int HeuristicValLast::select(Variable *x) {
    int tmp = x->domain[0]; // We can use domain.minimum()
    for(int idv = 0; idv < x->size(); idv++)
        if(tmp < x->domain[idv])
            tmp = x->domain[idv];
    return tmp;
}
     