#ifndef HEURISTICVARDOMWDEG_H
#define	HEURISTICVARDOMWDEG_H


#include "solver/Solver.h"
#include "HeuristicVar.h"
#include "solver/observers/ObserverConflict.h"
#include "solver/observers/ObserverDecision.h"
namespace Cosoco {
    class HeuristicVarDomWdeg : public HeuristicVar,ObserverConflict,ObserverDecision {
    public:         
        HeuristicVarDomWdeg(Solver &s);
        
        virtual Variable *select() override;
        virtual void notifyConflict(Constraint* c,int level) override;
        virtual void notifyDeleteDecision(Variable* x, int v,Solver &s) override;
        virtual void notifyNewDecision(Variable* x,Solver &s) override;

    };
    
}

#endif	/* HEURISTICVARDOMWDEG_H */

