#ifndef HEURISTICLASTCONFLICTREASONING_H
#define	HEURISTICLASTCONFLICTREASONING_H


#include "solver/Solver.h"
#include "HeuristicVar.h"
#include "solver/observers/ObserverConflict.h"
namespace Cosoco {
    class LastConflictReasoning : public HeuristicVar,ObserverConflict {
    public:    
        HeuristicVar *hvar;                                 // The main heuristic
        Variable *lc;                                       // The last conflict variable
        LastConflictReasoning(Solver &s,HeuristicVar *hv);
        
        virtual Variable *select() override;
        virtual void notifyConflict(Constraint* c,int level) override;
    };
    
}

#endif	/* HEURISTICVARDOMWDEG_H */

